<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function($extKey)
    {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
            'Lemm.LemmYumpu',
            'Lemmyumpufe',
            'yumpu_fe'
        );

		$extensionName = strtolower(\TYPO3\CMS\Core\Utility\GeneralUtility::underscoredToUpperCamelCase($extKey)); 
		$pluginName = strtolower('Lemmyumpufe'); 
		$pluginSignature = $extensionName.'_'.$pluginName; 
		$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist'][$pluginSignature] = 'layout,select_key,pages'; 
		$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform'; 
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
				$pluginSignature, 'FILE:EXT:'.$extKey . '/Configuration/FlexForms/Settings.xml');
		
        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($extKey, 'Configuration/TypoScript', 'YumpuMagazines');

        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_lemmyumpu_domain_model_yumpu', 'EXT:lemm_yumpu/Resources/Private/Language/locallang_csh_tx_lemmyumpu_domain_model_yumpu.xlf');
        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_lemmyumpu_domain_model_yumpu');

    },
    $_EXTKEY
);
